import { ValidatorInfo } from '../../../typing';
import { FormStringFieldWidget } from '../../../field';
import { ExpressionValue, FetchValueOptions, FetchValueReturnType, HomepageConfigRule } from '../typing';
export declare class RoleUserConfigWidget extends FormStringFieldWidget {
    initialize(props: any): this;
    protected get moduleName(): string;
    protected successValidates: boolean[];
    protected get initialExpressionValueList(): {
        options: {
            RoleUserOptions: import("../typing").Options[];
            RelationOptions: import("../typing").Options[];
            fetchValue: (options: FetchValueOptions) => Promise<FetchValueReturnType>;
            queryOne: (id: string) => Promise<Record<string, unknown>>;
        };
        values: ExpressionValue;
        key: string;
    }[] | undefined;
    handleFetchRole(options: FetchValueOptions): Promise<FetchValueReturnType>;
    handleUserQueryOne(id: string): Promise<Record<string, unknown>>;
    handleRoleQueryOne(id: string): Promise<Record<string, unknown>>;
    handleFetchUser(options: FetchValueOptions): Promise<FetchValueReturnType>;
    roleUserConfigchange(jsonValue: string, backEndValue: string): void;
    protected savedHomepageConfigRules: HomepageConfigRule[] | undefined;
    protected useHomepageSetting: any;
    protected get originRule(): HomepageConfigRule | undefined;
    /**
     * 目的是为了监听 formData 是否有修改，修改的话移入修改态
     * @param next
     */
    onFormDataChange(next: HomepageConfigRule): void;
    validator(): Promise<ValidatorInfo>;
}
